grml-live.git
3 years agoSwitch from aptitude to apt-get as package manager in package list
Michael Prokop [Fri, 25 Nov 2016 21:23:38 +0000 (22:23 +0100)]
Switch from aptitude to apt-get as package manager in package list

So far we used "PACKAGES aptitude" to use aptitude as package
manager. FAI's install_packages supports different commands
(package managers) though, see `install_packages -H`:

  % install_packages -H | grep -e '^\s*aptitude ' -e '^\s*install '
         aptitude    aptitude -R -y -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confnew install
          install    apt-get -y -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confnew --fix-missing install

FAI versions until 5.3** support ignoring packages via:

| PACKAGES install
|
| packagename-

We can use that feature in the IGNORE class to avoid e.g. the
installation of the partimage package which is currently
unavailable in Debian/testing and therefore would fail the build
(because of aptitude's #835372 behavior change).

** NOTE: FAI v5.3 is broken regarding this behavior, so we've to
use FAI 4.3.1+deb8u1 from jessie to use that feature (at least
until it's restored/fixed again).

3 years agoinstsoft.GRMLBASE: ensure that file-rc can be installed
Michael Prokop [Fri, 25 Nov 2016 15:39:20 +0000 (16:39 +0100)]
instsoft.GRMLBASE: ensure that file-rc can be installed

If we request installation of file-rc but don't add hint
to remove systemd-sysv package then aptitude fails with:

| The following NEW packages will be installed:
|   file-rc initscripts{a} insserv{a} sysvinit-core{ab}
| The following packages are RECOMMENDED but will NOT be installed:
|   psmisc
| 0 packages upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
| Need to get 316 kB of archives. After unpacking 686 kB will be used.
| The following packages have unmet dependencies:
|  systemd-sysv : Conflicts: file-rc but 0.8.18 is to be installed
|                 Conflicts: sysvinit-core but 2.88dsf-59.8 is to be installed
|  sysvinit-core : Conflicts: systemd-sysv but 232-3 is installed
| The following actions will resolve these dependencies:
|
|      Install the following packages:
| 1)     startpar [0.59-3.1 (testing)]
| 2)     sysv-rc [2.88dsf-59.8 (testing)]
|
|      Keep the following packages at their current version:
| 3)     file-rc [Not Installed]
| 4)     sysvinit-core [Not Installed]
|
|
|
| No packages will be installed, upgraded, or removed.
| 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

3 years agoSW: add dbus to GRMLBASE
Michael Prokop [Fri, 18 Nov 2016 13:49:42 +0000 (14:49 +0100)]
SW: add dbus to GRMLBASE

Without dbus there seem to be lots of service/systemd related issues,
so as a starting point make sure it's at least always available.

3 years agotemplates: use net.ifnames=0 by default
Michael Prokop [Fri, 18 Nov 2016 11:11:25 +0000 (12:11 +0100)]
templates: use net.ifnames=0 by default

Grml_Networking from our live-boot doesn't support the new interface
names yet (this needs to be fixed anyway for sure), though the consensus
seems to be that we should use the old interface names by default,
so give that a try now.

3 years agoGRMLBASE/44-grub: explicitely set grub-mkimage's prefix path
Michael Prokop [Fri, 21 Oct 2016 11:47:30 +0000 (13:47 +0200)]
GRMLBASE/44-grub: explicitely set grub-mkimage's prefix path

At least with grub 2.02~beta3-1 the prefix is mandatory:

| Usage: grub-mkimage [OPTION...] [OPTION]... [MODULES]
| Try 'grub-mkimage --help' or 'grub-mkimage --usage' for more information.
| Prefix not specified (use the -p option).

Set it to what's the default e.g. in grub 2.02~beta2-36
as documented in its manpage:

|      -p, --prefix=DIR
|             set prefix directory [default=/boot/grub]

Related grub git commit message:

| commit 1440b7ebae47e1cb710e920bec9d88c4d75ff432
| Author: Andrey Borzenkov <arvidjaar@gmail.com>
| Date:   Sat Jan 25 19:54:51 2014 +0400
|
|     do not set default prefix in grub-mkimage
|
|     Default prefix is likely wrong on Unix and completely wrong on Windows.
|     Let caller set it explicitly to avoid any ambiguity.

Thanks: Darshaka Pathirana

3 years agoSW: add nvme-cli to GRML_FULL
Michael Prokop [Tue, 1 Nov 2016 08:02:32 +0000 (09:02 +0100)]
SW: add nvme-cli to GRML_FULL

4 years agoscripts/GRMLBASE/94-update-smart-drivedb: switch warning into note since update-smart...
Michael Prokop [Mon, 24 Oct 2016 20:45:49 +0000 (22:45 +0200)]
scripts/GRMLBASE/94-update-smart-drivedb: switch warning into note since update-smart-drivedb is deprecated

Quoting NEWS file from smartmontools (6.4+svn4214-1):

|   Previous versions of the smartmontools package included a tool
|   update-smart-drivedb which downloaded updated drive definitions
|   from the smartmontools website and stored them at
|
|       /var/lib/smartmontools/drivedb/drivedb.h
|
|   This tool did not download the definitions in a secure manner and
|   so the feature has been removed in this version.  Future drive DB
|   updates will be propagated via normal Debian package updates,
|   including backports.
|
|   If you already have a drivedb.h file at that location, smartctl
|   will continue to use it.

We could completely drop the package once we're certain that
update-smart-drivedb doesn't exist anymore in all the Debian
releases grml-live is building for, but for the time being
let's keep it and switch the warning into a note.

4 years agoSW: drop firmware-ipw2x00 (license issues)
Michael Prokop [Thu, 22 Sep 2016 15:07:15 +0000 (17:07 +0200)]
SW: drop firmware-ipw2x00 (license issues)

4 years agohooks/instsoft.GRMLBASE: ensure aptitude is available before invoking it
Michael Prokop [Thu, 22 Sep 2016 14:06:26 +0000 (16:06 +0200)]
hooks/instsoft.GRMLBASE: ensure aptitude is available before invoking it

4 years agoSW: update list of firmware package in GRMLBASE
Michael Prokop [Thu, 22 Sep 2016 13:13:37 +0000 (15:13 +0200)]
SW: update list of firmware package in GRMLBASE

New packages:

* firmware-cavium
* firmware-intel-sound
* firmware-ipw2x00
* firmware-misc-nonfree
* firmware-ti-connectivity

Deprecated/removed packages:

* firmware-ralink (seems to be part of firmware-misc-nonfree nowadays)

4 years agohooks/instsoft.GRMLBASE: ensure package list is up2date before trying to install...
Michael Prokop [Tue, 6 Sep 2016 20:32:56 +0000 (22:32 +0200)]
hooks/instsoft.GRMLBASE: ensure package list is up2date before trying to install file-rc/aptitude

If apt's package information is out-of-date (or even empty)
then we can't install file-rc nor aptitude, so ensure
we run `apt-get update` before.

4 years agoSW: add libteam-utils
Michael Prokop [Fri, 2 Sep 2016 22:28:59 +0000 (00:28 +0200)]
SW: add libteam-utils

Inspired by http://www.slideshare.net/ThomasGraf5/linux-networking-explained

4 years agoSW: drop aufs-tools from GRMLBASE
Michael Prokop [Tue, 30 Aug 2016 14:31:57 +0000 (16:31 +0200)]
SW: drop aufs-tools from GRMLBASE

Debian dropped aufs support from their kernel package. The way
forward is usage of overlayfs, now let's see whether we need
aufs-tools at all nowadays. Not being present in Debian/testing
currently fails the build because of aptitude's behavior change
with 0.7.6 where packages that can't be installed break
installations (see #835372). And aufs-tools probably won't appear
in Debian/testing soonish, given:

| % grep-excuses aufs-tools
| aufs-tools (- to 1:3.2+20130722-1.1)
|     Maintainer: Filesystems Group
|     976 days old (needed 5 days)
|     aufs-tools has new bugs!
|     Updating aufs-tools introduces new bugs: #788513
|     Not considered

4 years agoAdd new Grml repository signing key 4096R/21E0CA38EA2EA4AB to GRMLBASE's /etc/apt...
Michael Prokop [Wed, 24 Aug 2016 22:10:06 +0000 (00:10 +0200)]
Add new Grml repository signing key 4096R/21E0CA38EA2EA4AB to GRMLBASE's /etc/apt/grml.key

Exported via `gpg --armor --export ECDEA787 EA2EA4AB`

4 years agoSW: add binwalk to GRML_FULL
Michael Prokop [Mon, 4 Jul 2016 06:00:14 +0000 (08:00 +0200)]
SW: add binwalk to GRML_FULL

Quoting Marc Haber from the bugreport:

| binwalk is helpful when unpacking one of those nifty new initrd
| images with microcode prepended. binwalk tells you how many bytes
| to skip at the beginning of initrd.img to find the beginning of
| the actual initrd.
|
| Usage example see
| http://unix.stackexchange.com/questions/163346/why-is-it-that-my-initrd-only-has-one-directory-namely-kernel

Closes #21 @ GH

4 years agoisolinux.cfg template: fix typo in a comment
Carsten Hey [Wed, 30 Mar 2016 19:41:57 +0000 (21:41 +0200)]
isolinux.cfg template: fix typo in a comment

4 years agoAdded support for netboot.xyz
Andreas "Jimmy" Gredler [Wed, 13 Apr 2016 09:58:14 +0000 (02:58 -0700)]
Added support for netboot.xyz

Added configuration for isolinux and grub to add a menu entry to boot
netboot.xyz. The actual netboot.xyz.lkrn needs to be part of
grml-live-addons to make this work, see PR #8:
https://github.com/grml/grml-live-grml/pull/8

4 years agoSW: add syslinux-utils to GRMLBASE
Andreas "Jimmy" Gredler [Wed, 16 Mar 2016 18:27:20 +0000 (11:27 -0700)]
SW: add syslinux-utils to GRMLBASE

Package syslinux-utils added to package config GRMLBASE to support
booting with memdisk. The package includes the binary memdiskfind which
is needed during the boot process.

NOTE from Mika: syslinux-utils is available only since jessie
though building anything older might not be worth troubles unless
someone is actually interested in this, so accept this change as-is.

4 years agodocs: provide instructinos how to run from git, use local repos + unify base.tgz...
Michael Prokop [Mon, 15 Feb 2016 21:22:58 +0000 (22:22 +0100)]
docs: provide instructinos how to run from git, use local repos + unify base.tgz docs

4 years agoEnsure that we can build up2date epub + pdf files
Michael Prokop [Mon, 15 Feb 2016 21:21:59 +0000 (22:21 +0100)]
Ensure that we can build up2date epub + pdf files

4 years agoSupport wayback option also in bootstrapping the initial chroot
Michael Prokop [Fri, 8 Jan 2016 14:17:52 +0000 (15:17 +0100)]
Support wayback option also in bootstrapping the initial chroot

4 years agoUse "[check-valid-until=no]" in wayback option
Michael Prokop [Thu, 7 Jan 2016 10:37:41 +0000 (11:37 +0100)]
Use "[check-valid-until=no]" in wayback option

Ensure that apt doesn't complain about invalid repositories.

NOTE: supported only by apt >= 1.1~

4 years agoSW: move multitail from GRML_FULL to GRMLBASE
Michael Prokop [Tue, 5 Jan 2016 23:51:52 +0000 (00:51 +0100)]
SW: move multitail from GRML_FULL to GRMLBASE

It's referred to also in grml-small and it's just a few KBs.

4 years agoAdd etc/grml/fai/config/config to .gitignore
Michael Prokop [Tue, 5 Jan 2016 13:44:54 +0000 (14:44 +0100)]
Add etc/grml/fai/config/config to .gitignore

FAI sadly creates that symlink :(

4 years agodocs: don't mention Grml/Debian repositories for squashfs-tools any longer
Michael Prokop [Tue, 5 Jan 2016 11:53:27 +0000 (12:53 +0100)]
docs: don't mention Grml/Debian repositories for squashfs-tools any longer

4 years agoProvide wayback machine via "-w <date>"
Michael Prokop [Tue, 5 Jan 2016 11:19:19 +0000 (12:19 +0100)]
Provide wayback machine via "-w <date>"

The wayback machine provides building the system using Debian
archives from the specified date.

4 years agoAdd .gitignore to ignore files from etc/grml/fai/config/basefiles
Michael Prokop [Tue, 5 Jan 2016 11:17:43 +0000 (12:17 +0100)]
Add .gitignore to ignore files from etc/grml/fai/config/basefiles

This is useful if running grml-live from .git and you want to use
a basefile inside etc/grml/fai/config/basefiles.

4 years ago03-get-sources: ensure that apt information is available + up2date
Michael Prokop [Thu, 17 Dec 2015 09:57:45 +0000 (10:57 +0100)]
03-get-sources: ensure that apt information is available + up2date

If we don't run 'apt-get update' at this stage we might not have
the according files available needed to run 'apt-get source'.

4 years agoRelease new version 0.27.2 v0.27.2
Michael Prokop [Fri, 4 Dec 2015 21:57:41 +0000 (22:57 +0100)]
Release new version 0.27.2

4 years agoDo not fail source retrieval step with apt >=1.1
Michael Prokop [Fri, 4 Dec 2015 21:50:34 +0000 (22:50 +0100)]
Do not fail source retrieval step with apt >=1.1

apt >=1.1 tries to drop privileges which fails in our typical setup with:

| W: Can't drop privileges for downloading as file 'zsh_5.2-2.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)

Instead let's check for actual errors (starting with "E:"),
and do not fail the build if there warnings only ("W:").

4 years agoFix apt 1.1 regression in apt-preferences handling
Michael Prokop [Fri, 4 Dec 2015 17:04:57 +0000 (18:04 +0100)]
Fix apt 1.1 regression in apt-preferences handling

apt >=1.1 fails to parse our apt-preferences setup:

| E: Invalid record in the preferences file /etc/apt/preferences, no Package header

5 years agoRelease new version 0.27.1 v0.27.1
Michael Prokop [Wed, 21 Oct 2015 21:22:08 +0000 (23:22 +0200)]
Release new version 0.27.1

5 years agoFix wrong filename for chain.c32 in isolinux.cfg
Michael Prokop [Thu, 17 Sep 2015 17:52:45 +0000 (19:52 +0200)]
Fix wrong filename for chain.c32 in isolinux.cfg

Thanks: Gregor Zattler <telegraph@gmx.net> for the bug report

5 years agodocs: How to use your own local repository
Michael Prokop [Tue, 25 Aug 2015 15:34:07 +0000 (17:34 +0200)]
docs: How to use your own local repository

5 years agoDrop misplaced MIRROR_DIRECTORY from grml-live.conf
Michael Prokop [Tue, 25 Aug 2015 15:33:14 +0000 (17:33 +0200)]
Drop misplaced MIRROR_DIRECTORY from grml-live.conf

Fix error from commit 94aafe9bb2f3

5 years agodrop full-ov, custom-ov, live-rw and home-rw from the helptext
Evgeni Golov [Tue, 25 Aug 2015 15:08:56 +0000 (17:08 +0200)]
drop full-ov, custom-ov, live-rw and home-rw from the helptext

5 years agoRelease new version 0.27.0 v0.27.0
Michael Prokop [Thu, 9 Jul 2015 10:11:15 +0000 (12:11 +0200)]
Release new version 0.27.0

5 years agoDrop unused-override from lintian file
Michael Prokop [Thu, 9 Jul 2015 10:09:38 +0000 (12:09 +0200)]
Drop unused-override from lintian file

5 years agogrml-cheatcodes.txt: replace vlock with physlock
Michael Prokop [Wed, 8 Jul 2015 13:33:14 +0000 (15:33 +0200)]
grml-cheatcodes.txt: replace vlock with physlock

5 years agoSW: replace vlock with physlock [Closes: issue1342]
Michael Prokop [Wed, 8 Jul 2015 13:25:08 +0000 (15:25 +0200)]
SW: replace vlock with physlock [Closes: issue1342]

5 years agoSW: add apt-transport-https to GRMLBASE
Michael Prokop [Mon, 29 Jun 2015 07:23:13 +0000 (09:23 +0200)]
SW: add apt-transport-https to GRMLBASE

Usage of https in sources.list should be supported on all Grml flavours

5 years agoDrop unmaintained GRML_MEDIUM + GRML_XL classes
Michael Prokop [Wed, 24 Jun 2015 08:21:50 +0000 (10:21 +0200)]
Drop unmaintained GRML_MEDIUM + GRML_XL classes

While at it update the ISO size docs for grml-full and grml-small
to match latest release.

5 years agoSW: add stress to GRML_FULL
Michael Prokop [Tue, 23 Jun 2015 18:48:56 +0000 (20:48 +0200)]
SW: add stress to GRML_FULL

Thanks: Bernd Zeimetz <bzed@debian.org> for the suggestion

5 years agoRelease new version 0.26.8 v0.26.8
Michael Prokop [Mon, 22 Jun 2015 16:14:48 +0000 (18:14 +0200)]
Release new version 0.26.8

5 years agoProvide sources.list setup for DEBIAN_JESSIE
Michael Prokop [Mon, 22 Jun 2015 16:12:59 +0000 (18:12 +0200)]
Provide sources.list setup for DEBIAN_JESSIE

Otherwise executing 'grml-live -s jessie' fails hard

5 years agosources.list: fix comments and drop unused entries
Michael Prokop [Mon, 22 Jun 2015 16:11:31 +0000 (18:11 +0200)]
sources.list: fix comments and drop unused entries

There's no point in shipping the ftp.at.debian.org/ftp.de.debian.org
entries anymore since we're using ftp.debian.org by default nowadays

Drop the misleading "mirror selected via geo-ip" comments,
since we're using ftp.debian.org nowadays (and neither http.debian.net
nor httpredir.debian.org)

5 years ago33-aptsetup: improve perl regex to work with backports and perl 5.14
Michael Prokop [Mon, 22 Jun 2015 11:52:46 +0000 (13:52 +0200)]
33-aptsetup: improve perl regex to work with backports and perl 5.14

The perl command line which is responsible for replacing
ftp.debian.org with the according snapshot.debian.org entry
produced an invalid sources.list entry with perl v5.14.2,
e.g. generating:

|  deb     http://snapshot.debian.org/archive/debian/20150622/ main   deb-src http://snapshot.debian.org/archive/debian/20150622/ main

with the following input:

|  deb     http://ftp.debian.org/debian/ jessie-backports main
|  deb-src http://ftp.debian.org/debian/ jessie-backports main

5 years agosources.list configs: enable contrib/non-free for backports
Michael Prokop [Fri, 19 Jun 2015 15:10:58 +0000 (17:10 +0200)]
sources.list configs: enable contrib/non-free for backports

5 years agoMake package error check safe for "/" inside the package string
Michael Prokop [Fri, 19 Jun 2015 08:40:10 +0000 (10:40 +0200)]
Make package error check safe for "/" inside the package string

Otherwise for something like linux-base/squeeze-backports
and initramfs-tools/squeeze-backports it will fail with:

|  * Missing packages found, generating junit report.
| awk: line 1: syntax error at or near {
| awk: line 1: syntax error at or near {

5 years agoFix check for sylinux *.c32 files
Michael Prokop [Fri, 19 Jun 2015 08:33:08 +0000 (10:33 +0200)]
Fix check for sylinux *.c32 files

We of course want to check the availability of the files
inside the generated system and not rely on the building host.

5 years agoReplace references to wheezy with jessie + add stretch to zsh completion
Michael Prokop [Tue, 9 Jun 2015 15:40:11 +0000 (17:40 +0200)]
Replace references to wheezy with jessie + add stretch to zsh completion

5 years agoDEBIAN_STABLE: backports should point to jessie nowadays
Michael Prokop [Tue, 9 Jun 2015 15:40:10 +0000 (17:40 +0200)]
DEBIAN_STABLE: backports should point to jessie nowadays

5 years agoRelease new version 0.26.7 v0.26.7
Michael Prokop [Fri, 5 Jun 2015 23:45:56 +0000 (01:45 +0200)]
Release new version 0.26.7

5 years agoSW: add bats to GRML_FULL
Michael Prokop [Fri, 5 Jun 2015 11:34:53 +0000 (13:34 +0200)]
SW: add bats to GRML_FULL

Useful for automated testing, especially useful for verifying
the Grml ISO itself.

5 years ago94-update-smart-drivedb: do not fail on update-smart-drivedb errors
Michael Prokop [Mon, 1 Jun 2015 07:58:59 +0000 (09:58 +0200)]
94-update-smart-drivedb: do not fail on update-smart-drivedb errors

Currently the
http://sourceforge.net/p/smartmontools/code/HEAD/tree/trunk/smartmontools/drivedb.h?format=raw
and related files on sourceforge aren't available and therefor
cause our builds to fail with:

| Updating smartmontool drivedb
| /usr/sbin/update-smart-drivedb: download from trunk failed (HTTP error)

Therefore don't break our builds but instead log a warning
message instead.

5 years agoNew script 94-update-smart-drivedb to update smartmontools' drive database
Michael Prokop [Thu, 23 Apr 2015 16:12:28 +0000 (18:12 +0200)]
New script 94-update-smart-drivedb to update smartmontools' drive database

5 years agoSW: add uml-utilities to GRML_FULL [Closes: issue1344]
Michael Prokop [Mon, 23 Mar 2015 07:38:34 +0000 (08:38 +0100)]
SW: add uml-utilities to GRML_FULL [Closes: issue1344]

5 years agoRelease new version 0.26.6 v0.26.6
Michael Prokop [Fri, 27 Feb 2015 13:07:22 +0000 (14:07 +0100)]
Release new version 0.26.6

5 years agoSW: add partclone to GRML_FULL [Closes: issue1341]
Michael Prokop [Fri, 27 Feb 2015 13:03:07 +0000 (14:03 +0100)]
SW: add partclone to GRML_FULL [Closes: issue1341]

Quoting from the BTS:

| clonezilla fails to clone ext4 partitions because it needs partclone,
| which is not part of the grml-distro.

Thanks: gerd for the bug report

5 years agoCopy all *.c32 syslinux files to make sure dependencies aren't missing
Michael Prokop [Thu, 26 Feb 2015 13:27:02 +0000 (14:27 +0100)]
Copy all *.c32 syslinux files to make sure dependencies aren't missing

Once again vesamenu.c32 depends on another file, instead
of tracking this manually let's just copy all *.c32 files
to /boot/isolinux/.

Addressing:

| Failed to load COM32 file vesamenu.c32

5 years agoInclude ldlinux.c32 in netboot package also via grml-live itself
Michael Prokop [Wed, 18 Feb 2015 17:03:12 +0000 (18:03 +0100)]
Include ldlinux.c32 in netboot package also via grml-live itself

Related to the previous commit (ded6100068b14).

5 years agoInclude ldlinux.c32 in netboot package
Michael Prokop [Wed, 18 Feb 2015 15:53:23 +0000 (16:53 +0100)]
Include ldlinux.c32 in netboot package

Recent versions of pxelinux.0 depend on ldlinux.c32

Thanks: murb for the bug report on IRC

5 years agoSW: add nethogs to GRML_FULL
Michael Prokop [Wed, 14 Jan 2015 11:56:25 +0000 (12:56 +0100)]
SW: add nethogs to GRML_FULL

5 years agoAdd mgag200.modeset=0 to boot options for disabled framebuffer/KMS
Michael Prokop [Wed, 10 Dec 2014 11:26:44 +0000 (12:26 +0100)]
Add mgag200.modeset=0 to boot options for disabled framebuffer/KMS

5 years agoDo not enable modesetting for mgag200 driver [Closes: issue1334]
Michael Prokop [Wed, 10 Dec 2014 11:21:15 +0000 (12:21 +0100)]
Do not enable modesetting for mgag200 driver [Closes: issue1334]

Supermicro boards with onboard VGA "Matrox G200eW" as well
as IBM flex chassis fail when modesetting for mgag200 is enabled.

5 years agoRelease new version 0.26.5 v0.26.5
Michael Prokop [Tue, 18 Nov 2014 12:08:30 +0000 (13:08 +0100)]
Release new version 0.26.5

5 years agoSW: replace wodim with xorriso [Closes: issue1233]
Michael Prokop [Tue, 18 Nov 2014 12:00:28 +0000 (13:00 +0100)]
SW: replace wodim with xorriso [Closes: issue1233]

Thanks: Alexander Wirt for pointing out that wodim is outdated

5 years agoDrop deprecated mtab.sh script from runlevel.conf [Closes: issue1321]
Michael Prokop [Tue, 18 Nov 2014 11:57:03 +0000 (12:57 +0100)]
Drop deprecated mtab.sh script from runlevel.conf [Closes: issue1321]

This file no longer exists, at least not since wheezy.

Thanks: Christian Hofstaedtler for reporting this issue

5 years agoSW: add wodim to GRML_FULL [Closes: issue1324]
Michael Prokop [Tue, 18 Nov 2014 11:38:18 +0000 (12:38 +0100)]
SW: add wodim to GRML_FULL [Closes: issue1324]

5 years agoRelease new version 0.26.4 v0.26.4
Michael Prokop [Fri, 14 Nov 2014 11:51:58 +0000 (12:51 +0100)]
Release new version 0.26.4

5 years agoAlso include libgpl.c32 in isolinux directory
Michael Prokop [Fri, 14 Nov 2014 11:05:06 +0000 (12:05 +0100)]
Also include libgpl.c32 in isolinux directory

hdt in boot menu requires it:

| Failed to load libgpl.c32
| Failed to load COM32 file /boot/addons/hdt.c32

5 years agoNo longer include MirOS BSD in isolinux/syslinux boot menu
Michael Prokop [Fri, 14 Nov 2014 09:45:30 +0000 (10:45 +0100)]
No longer include MirOS BSD in isolinux/syslinux boot menu

MirOS BSD no longer seems to work from isolinux/syslinux,
this might be due to:

| Since version 5.00, support for 16-bit COMBOOT modules has been dropped,
| and c32 modules switched from the COM32 object format to ELF.

as stated on http://www.syslinux.org/wiki/index.php/Comboot_API

For now it's still available in GRUB, where it's *basically*
working.

5 years agoAdd libmenu.c32 to isolinux directory
Michael Prokop [Fri, 14 Nov 2014 09:35:28 +0000 (10:35 +0100)]
Add libmenu.c32 to isolinux directory

hdt in boot menu requires it:

| Failed to load libmenu.c32
| Failed to load COM32 file /boot/addons/hdt.c32

5 years agoRelease new version 0.26.3 v0.26.3
Michael Prokop [Thu, 13 Nov 2014 08:28:18 +0000 (09:28 +0100)]
Release new version 0.26.3

5 years agoSet cirrus modeset=0 to prevent hang on QEMU
Evgeni Golov [Tue, 11 Nov 2014 13:01:18 +0000 (14:01 +0100)]
Set cirrus modeset=0 to prevent hang on QEMU

See: https://bugs.debian.org/768157

5 years agoFix creation of images based on Wheezy after the udev fix in grml-live
Evgeni Golov [Tue, 11 Nov 2014 12:44:19 +0000 (13:44 +0100)]
Fix creation of images based on Wheezy after the udev fix in grml-live

The grml-live repo currently ships an own udev for a bugfix, which only affects
Jessie and later. This version of udev is not installable in Wheezy and results
in an failed image build. Let's pin udev to the Wheezy version on Wheezy, as
the fix is not needed there anyways.

5 years agoRelease new version 0.26.2 v0.26.2
Michael Prokop [Wed, 5 Nov 2014 23:51:06 +0000 (00:51 +0100)]
Release new version 0.26.2

5 years agogrml-cheatcodes: document cirrus.modeset=0
Evgeni Golov [Wed, 5 Nov 2014 07:28:44 +0000 (08:28 +0100)]
grml-cheatcodes: document cirrus.modeset=0

5 years agoalso set cirrus.modeset=0 for the nomodeset options
Evgeni Golov [Wed, 5 Nov 2014 07:27:27 +0000 (08:27 +0100)]
also set cirrus.modeset=0 for the nomodeset options

6 years agoRelease new version 0.26.1 v0.26.1
Michael Prokop [Tue, 28 Oct 2014 09:55:28 +0000 (10:55 +0100)]
Release new version 0.26.1

6 years agoBump Standards-Version to 3.9.6
Michael Prokop [Tue, 28 Oct 2014 08:08:28 +0000 (09:08 +0100)]
Bump Standards-Version to 3.9.6

6 years agoMake sure apt caches are up2date before trying to install aptitude
Michael Prokop [Tue, 28 Oct 2014 08:00:56 +0000 (09:00 +0100)]
Make sure apt caches are up2date before trying to install aptitude

Otherwise we might run into:

| [...]
| 08:54:38 preserving etc/apt/sources.list.d/grml-stable.list
| 08:54:39 OK
| 08:54:39 aptitude binary is not available, installing to make sure further FAI actions continue to work
| 08:54:39 Reading package lists...
| 08:54:42 Building dependency tree...
| 08:54:42 Package aptitude is not available, but is referred to by another package.
| 08:54:42 This may mean that the package is missing, has been obsoleted, or
| 08:54:42 is only available from another source
| 08:54:42
| 08:54:42 E: Package 'aptitude' has no installation candidate
| 08:54:42 updatebase.GRMLBASE  FAILED with exit code 100.
| 08:54:42 Calling task_updatebase

As nowadays - with Debian/jessieu - aptitude no longer is in
a base debootstrap chroot.

6 years agoSwitch from http.debian.net to ftp.debian.org
Michael Prokop [Mon, 27 Oct 2014 23:27:53 +0000 (00:27 +0100)]
Switch from http.debian.net to ftp.debian.org

Out of 10 recent ISO builds within ~4 days 9 of them failed. :(
At least 7 of those 9 broken builds were caused by broken downloads:

20141023 => 07:52:28 E: Failed to fetch http://http.debian.net/debian/pool/main/libr/librsvg/librsvg2-common_2.40.4-1_amd64.deb: Error reading from server. Remote end closed connection [IP: 2001:41c8:1000:21::21:35 80]
20141024 => 06:47:25 W: Failed to fetch xz:/var/lib/apt/lists/partial/http.debian.net_debian_dists_testing_main_binary-amd64_Packages  Hash Sum mismatch
20141026 => 05:29:52 W: Failed to fetch http://http.debian.net/debian/dists/testing/main/i18n/Translation-en  Hash Sum mismatch
20141027 => E: Unable to find a source package for gcc-4.7
20141027 => E: Unable to find a source package for gcc-4.7
20141027 => 05:10:38 W: Failed to fetch xz:/var/lib/apt/lists/partial/http.debian.net_debian_dists_testing_main_binary-amd64_Packages  Hash Sum mismatch
20141027 => 09:32:37 Err http://http.debian.net/debian/ testing/main libsystemd-daemon0 amd64 215-5+b1
|             09:32:37   Error reading from server. Remote end closed connection [IP: 2001:41c8:1000:21::21:35 80]
20141027 => 20:29:56 E: Failed to fetch http://http.debian.net/debian/pool/main/s/systemd/libsystemd-daemon0_215-5+b1_amd64.deb: Error reading from server. Remote end closed connection [IP: 2001:41c8:1000:21::21:35 80]
20141027 => 22:44:01 E: Failed to fetch http://http.debian.net/debian/pool/main/libx/libxfont/libxfont1_1.4.99.901-1_amd64.deb: Error reading from server. Remote end closed connection [IP: 2001:41c8:1000:21::21:35 80]

This is a serious development and release stopper for us.
Therefore let's try switching to ftp.debian.org which has been
reported to have a useful network bandwidth and failover setup available
(thanks zobel + weasel).

6 years agoset CRYPTSETUP=y when calling update-initramfs
Evgeni Golov [Sun, 26 Oct 2014 14:31:18 +0000 (15:31 +0100)]
set CRYPTSETUP=y when calling update-initramfs

This is needed for the initrd to include the cryptsetup binaries and modules
with cryptsetup >= 2:1.6.6-1 after the patch in https://bugs.debian.org/714104

Thanks: Charles A. Hewson <cahewson@eskimo.com>

6 years agoSW: add syslinux-common to GRMLBASE
Michael Prokop [Fri, 24 Oct 2014 07:16:34 +0000 (09:16 +0200)]
SW: add syslinux-common to GRMLBASE

Otherwise the boot related modules might be missing:

| * Missing addon file: "chain.c32"                                        [ !! ]
| * Missing addon file: "hdt.c32"                                          [ !! ]
| * Missing addon file: "mboot.c32"                                        [ !! ]
| * Missing addon file: "menu.c32"                                         [ !! ]

This is happening on grml-small where syslinux-common isn't
present by default because it's just a Recommends but not a Depends.
On grml-full we ship syslinux-common by default though because
it's a dependency of grub-imageboot.

6 years agoFix path for memdisk binary when building with recent syslinux[-common] versions
Michael Prokop [Tue, 7 Oct 2014 20:55:43 +0000 (22:55 +0200)]
Fix path for memdisk binary when building with recent syslinux[-common] versions

Addressing:

| * Missing addon file: "memdisk"

6 years agoRelease new version 0.26.0 v0.26.0
Michael Prokop [Wed, 17 Sep 2014 20:55:47 +0000 (22:55 +0200)]
Release new version 0.26.0

6 years agoUpdate lintian overrides for modified lintian message
Michael Prokop [Wed, 17 Sep 2014 20:48:36 +0000 (22:48 +0200)]
Update lintian overrides for modified lintian message

6 years agoDo our best to make sure aptitude is installed in chroot
Michael Prokop [Wed, 17 Sep 2014 20:38:44 +0000 (22:38 +0200)]
Do our best to make sure aptitude is installed in chroot

There seems to be a change in Debian (jessie) causing aptitude to
no longer be present in debootstrapped systems by default any
longer. By setting $FAI_DEBOOTSTRAP_OPTS accordingly we include
it in its default package selection though. If it still shouldn't
be present we explicitely try to install it through the
updatebase.GRMLBASE hook script.

6 years agoisohybrid binary moved to syslinux-utils, update Recommends + error msg
Michael Prokop [Wed, 17 Sep 2014 20:37:38 +0000 (22:37 +0200)]
isohybrid binary moved to syslinux-utils, update Recommends + error msg

6 years agoSW: drop gptsync (orphaned and broken)
Michael Prokop [Tue, 12 Aug 2014 08:04:44 +0000 (10:04 +0200)]
SW: drop gptsync (orphaned and broken)

See Debian's #755510: Orphaned since 2012, last upload 2010, not in testing

6 years agoSW: add augeas-tools
Michael Prokop [Fri, 8 Aug 2014 21:54:48 +0000 (23:54 +0200)]
SW: add augeas-tools

Useful e.g. for customizing /etc/fstab of an installed system, like:

cat << EOT | augtool --root="$TARGET"
insert opt after /files/etc/fstab/*[file="/"]/opt[last()]
set /files/etc/fstab/*[file="/"]/opt[last()] noatime
save
EOT

6 years agoRelease new version 0.25.1 v0.25.1
Michael Prokop [Thu, 3 Jul 2014 14:16:39 +0000 (16:16 +0200)]
Release new version 0.25.1

6 years agoCheck for failed updatebase and instsoft hook executions
Michael Prokop [Thu, 3 Jul 2014 14:03:04 +0000 (16:03 +0200)]
Check for failed updatebase and instsoft hook executions

6 years agoupdatebase.GRMLBASE: execute fcopy with -i flag to ignore non-matching files
Michael Prokop [Thu, 3 Jul 2014 13:33:01 +0000 (15:33 +0200)]
updatebase.GRMLBASE: execute fcopy with -i flag to ignore non-matching files

Otherwise when building testing/unstable we get:

| fcopy: no matching file for any class for etc/apt/preferences.d/wheezy-backports defined.

and fcopy fails to execute:

| updatebase.GRMLBASE  FAILED with exit code 1.

and causing the following '$ROOTCMD apt-key add /etc/apt/grml.key
to never get executed then.

6 years agoRelease new version 0.25.0 v0.25.0
Michael Prokop [Thu, 3 Jul 2014 11:16:17 +0000 (13:16 +0200)]
Release new version 0.25.0

6 years agoFixes to be able to build Grml based on Debian Wheezy
Krisztian VASAS [Wed, 18 Jun 2014 10:20:44 +0000 (12:20 +0200)]
Fixes to be able to build Grml based on Debian Wheezy

In Debian Wheezy initramfs-tools is 0.109, but the Grml kernel needs
at least 0.110. The backport contains the requested version.

6 years agoDon't use addons in GRUB if NO_ADDONS is set
Krisztian VASAS [Wed, 18 Jun 2014 10:20:43 +0000 (12:20 +0200)]
Don't use addons in GRUB if NO_ADDONS is set

6 years agoPossibility to give LIVE_CONF as env. variable
Krisztian VASAS [Wed, 18 Jun 2014 10:20:42 +0000 (12:20 +0200)]
Possibility to give LIVE_CONF as env. variable

6 years agoNew cmdline option -S + env variable SCRIPTS_DIRECTORY to set script directory
Michael Prokop [Thu, 3 Jul 2014 10:58:46 +0000 (12:58 +0200)]
New cmdline option -S + env variable SCRIPTS_DIRECTORY to set script directory

This allows us to run grml-live from the Git repository without
having /usr/share/grml-live/scripts available.

Thanks: Krisztian VASAS <iron@ironiq.hu> for the initial patch